Create Zero Trust account
POST/accounts/{account_id}/gateway
Create a Zero Trust account for an existing Cloudflare account.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Create Zero Trust account
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/gateway \
-X POST \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "699d98642c564d2e855e9661899b7252",
"gateway_tag": "f174e90afafe4643bbbc4a0ed4fc8415",
"provider_name": "Cloudflare"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "699d98642c564d2e855e9661899b7252",
"gateway_tag": "f174e90afafe4643bbbc4a0ed4fc8415",
"provider_name": "Cloudflare"
}
}